printer_set_option
printer_start_page
Printer Functions
PHP Manual

# printer_start_doc

Start a new document

### Description

bool printer_start_doc ( resource `$printer_handle` [, string `$document` ] )

The function creates a new document in the printer spooler. A document can contain multiple pages, it's used to schedule the print job in the spooler.

### Parameters

`printer_handle`

  `printer_handle` must be a valid printer handle.

`document`

  The optional parameter `document` can be used to set an alternative document name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 printer_start_doc example

`<?php
$handle = printer_open();
printer_start_doc($handle, "My Document");
printer_start_page($handle);
printer_end_page($handle);
printer_end_doc($handle);
printer_close($handle);
?>`